const questions = [
  {
    question: '你的购房预算是多少？',
    key: 'budget',
    type: 'range',
    result: 300,
    resultId: null,
    options: [100, 2000]
  },
  {
    question: '你想购买的是新房还是二手房？',
    key: 'isNew',
    type: 'checkbox',
    result: '',
    resultId: null,
    options: [
      { name: '新房', id: 1 },
      { name: '二手房', id: 2 },
      { name: '不限', id: 3 }
    ]
  },
  {
    question: '你想买多大面积？',
    key: 'area',
    type: 'checkbox',
    result: '',
    resultId: null,
    required: true,
    options: [
      { name: '60㎡以下', id: 1 },
      { name: '60-90㎡', id: 2 },
      { name: '90-110㎡', id: 3 },
      { name: '110-130㎡', id: 4 },
      { name: '130-150㎡', id: 5 },
      { name: '150-200㎡', id: 6 },
      { name: '200㎡以上', id: 7 }
    ]
  },
  {
    question: '你想买的区域是？',
    key: 'intentArea',
    type: 'select',
    result: '',
    resultId: null,
    required: true,
    options: []
  },
  {
    question: '你的购房目的？',
    key: 'purpose',
    type: 'checkbox',
    result: '',
    resultId: null,
    options: [
      { name: '刚需', id: 1 },
      { name: '结婚', id: 2 },
      { name: '养老', id: 3 },
      { name: '改善', id: 4 },
      { name: '教育', id: 5 },
      { name: '投资', id: 6 }
    ]
  },
  {
    question: '你更注重项目的哪些优势？',
    key: 'advantage',
    type: 'checkboxs',
    result: [],
    resultId: null,
    options: [
      { name: '发展规划', id: 1 },
      { name: '学区', id: 2 },
      { name: '交通', id: 3 },
      { name: '配套', id: 4 },
      { name: '环境', id: 5 }
    ]
  },
  {
    question: '你对小区物业管理和社区设施有什么要求？',
    key: 'facility',
    type: 'checkboxs',
    result: [],
    resultId: null,
    remark: '',
    options: [
      { name: '楼栋管家', id: 1 },
      { name: '金钥匙服务', id: 2 },
      { name: '社区娱乐', id: 3 },
      { name: '会所功能', id: 4 }
    ]
  },
  // 不要轻易修改此处的字典设置, 必须要跟 java 端保持一致
  {
    question: '你想住几居室的房子？',
    key: 'layout',
    type: 'checkbox',
    result: '',
    resultId: null,
    options: [
      { name: '一室一厅', id: 1 },
      { name: '二室一厅', id: 2 },
      { name: '二室二厅', id: 3 },
      { name: '三室一厅', id: 4 },
      { name: '三室二厅', id: 5 },
      { name: '四室一厅', id: 6 },
      { name: '四室二厅', id: 7 },
      { name: '五室及以上', id: 8 }
    ]
  },
  {
    question: '你更喜欢的朝向？',
    key: 'orientation',
    type: 'checkbox',
    result: '',
    resultId: null,
    options: [
      { name: '朝东', id: 1 },
      { name: '朝南', id: 2 },
      { name: '朝西', id: 3 },
      { name: '朝北', id: 4 },
      { name: '南北通透', id: 5 },
      { name: '都可以', id: 6 }
    ]
  },
  {
    question: '你想住高楼层还是低楼层？',
    key: 'isHigh',
    type: 'checkbox',
    result: '',
    resultId: null,
    options: [
      { name: '低楼层', id: 1 },
      { name: '中楼层', id: 2 },
      { name: '高楼层', id: 3 },
      { name: '低层', id: 4 },
      { name: '顶层', id: 5 }
    ]
  },
  {
    question: '你对楼龄的要求是？',
    key: 'buildingAge',
    type: 'checkbox',
    result: '',
    resultId: null,
    options: [
      { name: '5年以内', id: 1 },
      { name: '10年以内', id: 2 },
      { name: '15年以内', id: 3 },
      { name: '20年以内', id: 4 },
      { name: '20年以上', id: 5 }
    ]
  },
  {
    question: '你还有其他要求吗？',
    key: 'remark',
    type: 'textarea',
    result: '',
    resultId: null
  },
]

export default questions